Tonyu.klass.define({
  fullName: 'user.DotConsole',
  shortName: 'DotConsole',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_DotConsole_main() {
      "use strict";
      var _this=this;
      
    },
    fiber$main :function _trc_DotConsole_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.retVal=_this;return;
    },
    onAppear :function _trc_DotConsole_onAppear() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000018;//user.DotConsole:18
      _this.chipWidth=_this.chipWidth||16;
      //$LASTPOS=1000047;//user.DotConsole:47
      _this.chipHeight=_this.chipHeight||16;
      //$LASTPOS=1000078;//user.DotConsole:78
      _this.row=_this.row||24;
      //$LASTPOS=1000095;//user.DotConsole:95
      _this.col=_this.col||32;
      //$LASTPOS=1000112;//user.DotConsole:112
      _this.map=new Tonyu.classes.kernel.Map({chipWidth: _this.chipWidth,chipHeight: _this.chipHeight,row: _this.row,col: _this.col});
      //$LASTPOS=1000159;//user.DotConsole:159
      _this.cx=0;
      //$LASTPOS=1000164;//user.DotConsole:164
      _this.cy=0;
    },
    fiber$onAppear :function _trc_DotConsole_f_onAppear(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000018;//user.DotConsole:18
      _this.chipWidth=_this.chipWidth||16;
      //$LASTPOS=1000047;//user.DotConsole:47
      _this.chipHeight=_this.chipHeight||16;
      //$LASTPOS=1000078;//user.DotConsole:78
      _this.row=_this.row||24;
      //$LASTPOS=1000095;//user.DotConsole:95
      _this.col=_this.col||32;
      //$LASTPOS=1000112;//user.DotConsole:112
      _this.map=new Tonyu.classes.kernel.Map({chipWidth: _this.chipWidth,chipHeight: _this.chipHeight,row: _this.row,col: _this.col});
      //$LASTPOS=1000159;//user.DotConsole:159
      _this.cx=0;
      //$LASTPOS=1000164;//user.DotConsole:164
      _this.cy=0;
      
      _thread.retVal=_this;return;
    },
    locate :function _trc_DotConsole_locate(x,y) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000192;//user.DotConsole:192
      _this.cx=x;
      //$LASTPOS=1000197;//user.DotConsole:197
      _this.cy=y;
    },
    fiber$locate :function _trc_DotConsole_f_locate(_thread,x,y) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000192;//user.DotConsole:192
      _this.cx=x;
      //$LASTPOS=1000197;//user.DotConsole:197
      _this.cy=y;
      
      _thread.retVal=_this;return;
    },
    print :function _trc_DotConsole_print(s) {
      "use strict";
      var _this=this;
      var i;
      
      //$LASTPOS=1000221;//user.DotConsole:221
      //$LASTPOS=1000226;//user.DotConsole:226
      i = 0;
      for (; i<s.length ; i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=1000260;//user.DotConsole:260
          _this.map.set(_this.cx,_this.cy,_this.font+s.charCodeAt(i));
          //$LASTPOS=1000305;//user.DotConsole:305
          _this.cx++;
          //$LASTPOS=1000319;//user.DotConsole:319
          if (_this.cx>=_this.map.col) {
            //$LASTPOS=1000350;//user.DotConsole:350
            _this.cx=0;
            //$LASTPOS=1000368;//user.DotConsole:368
            _this.cy++;
            
          }
        }
      }
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"onAppear":{"nowait":false},"locate":{"nowait":false},"print":{"nowait":true}},"fields":{"chipWidth":{},"chipHeight":{},"row":{},"col":{},"map":{},"cx":{},"cy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000000;//user.Main:0
      Tonyu.globals.$Screen.resize(512,384);
      //$LASTPOS=2000109;//user.Main:109
      Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({size: 16,row: 24,col: 32,font: Tonyu.globals.$pat_font_w});
      //$LASTPOS=2000169;//user.Main:169
      _this.x=10;
      //$LASTPOS=2000174;//user.Main:174
      _this.y=20;
      //$LASTPOS=2000179;//user.Main:179
      _this.p=- 1;
      //$LASTPOS=2000185;//user.Main:185
      _this.sc=0;
      //$LASTPOS=2000191;//user.Main:191
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=2000223;//user.Main:223
        Tonyu.globals.$d.locate(_this.x,_this.y);
        //$LASTPOS=2000253;//user.Main:253
        Tonyu.globals.$d.print(" |^| ");
        //$LASTPOS=2000276;//user.Main:276
        if (_this.getkey("left")) {
          //$LASTPOS=2000296;//user.Main:296
          _this.x--;
        }
        //$LASTPOS=2000305;//user.Main:305
        if (_this.getkey("right")) {
          //$LASTPOS=2000326;//user.Main:326
          _this.x++;
        }
        //$LASTPOS=2000335;//user.Main:335
        Tonyu.globals.$d.locate(3,5);
        //$LASTPOS=2000355;//user.Main:355
        Tonyu.globals.$d.print("Score 10");
        //$LASTPOS=2000381;//user.Main:381
        _this.update();
        
      }
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2000000;//user.Main:0
      Tonyu.globals.$Screen.resize(512,384);
      //$LASTPOS=2000109;//user.Main:109
      Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({size: 16,row: 24,col: 32,font: Tonyu.globals.$pat_font_w});
      //$LASTPOS=2000169;//user.Main:169
      _this.x=10;
      //$LASTPOS=2000174;//user.Main:174
      _this.y=20;
      //$LASTPOS=2000179;//user.Main:179
      _this.p=- 1;
      //$LASTPOS=2000185;//user.Main:185
      _this.sc=0;
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000191;//user.Main:191
          case 1:
            //$LASTPOS=2000223;//user.Main:223
            Tonyu.globals.$d.locate(_this.x,_this.y);
            //$LASTPOS=2000253;//user.Main:253
            Tonyu.globals.$d.print(" |^| ");
            //$LASTPOS=2000276;//user.Main:276
            if (_this.getkey("left")) {
              //$LASTPOS=2000296;//user.Main:296
              _this.x--;
            }
            //$LASTPOS=2000305;//user.Main:305
            if (_this.getkey("right")) {
              //$LASTPOS=2000326;//user.Main:326
              _this.x++;
            }
            //$LASTPOS=2000335;//user.Main:335
            Tonyu.globals.$d.locate(3,5);
            //$LASTPOS=2000355;//user.Main:355
            Tonyu.globals.$d.print("Score 10");
            //$LASTPOS=2000381;//user.Main:381
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"sc":{}}}
});

//# sourceMappingURL=concat.js.map